/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/ircsavedsearches.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/ircsavedsearches.xml',
'<View showSubmit="false" autosave="true" autosaveTimeout="2000" autosaveMessage="{message.XXAS_COM_CHNG_SAVE}" title="iRec Saved searches" defaultFormHandler="xxas_saved_search_pkg.save_saved_searches">

  <CreateFields>
  
    <Hidden id="PERSON_ID"/>
    <Html value="{message.XXAS_MSG_SAVED_SEARCHES}"/>
    <MultiRow id="SAVED_SEARCHES" createAllowed="false" formulaName="XXAS_CAND_SAVE_SEARCH_FORM_EDIT" xdbUri="/public/xxas/emp/view/ircsavedsearch.xml"/>
    <MultiRow id="SAVED_PEOPLE_SEARCHES" createAllowed="false" formulaName="XXAS_CAND_SAVE_SEARCH_FORM_EDIT" xdbUri="/public/xxas/emp/view/peoplesavedsearch.xml"/>
    
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/ircsavedsearches.xml');
END;
/
COMMIT;
EXIT;
